tigase.conf

## Class OldConfigHolder

- java.lang.Object
- - tigase.conf.OldConfigHolder

-     public class OldConfigHolder
      extends Object

  Created by andrzej on 10.07.2017.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `OldConfigHolder.Format`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OldConfigHolder()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `convert(String[] args, Path tdslPath)`
    `protected void` | `convertFromOldFormat()`
    `protected OldConfigHolder.Format` | `detectPathAndFormat()`
    `Optional<String[]>` | `getOutput()`
    `protected Map<String,Object>` | `getProperties()`
    `protected Map<String,Object>` | `loadFromPropertyStrings(List<String> settings)`
    `static void` | `saveOldExternalComponentConfigItems(String[] components)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OldConfigHolder

          public OldConfigHolder()

  - ### Method Detail

    - #### getOutput

          public Optional<String[]> getOutput()

    - #### convert

          public void convert(String[] args,
                              Path tdslPath)
                       throws IOException,
                              ConfigReader.ConfigException

      Throws:
        `IOException`
        `ConfigReader.ConfigException`

    - #### getProperties

          protected Map<String,Object> getProperties()

    - #### detectPathAndFormat

          protected OldConfigHolder.Format detectPathAndFormat()

    - #### loadFromPropertyStrings

          protected Map<String,Object> loadFromPropertyStrings(List<String> settings)

    - #### convertFromOldFormat

          protected void convertFromOldFormat()
                                       throws ConfigReader.ConfigException

      Throws:
        `ConfigReader.ConfigException`

    - #### saveOldExternalComponentConfigItems

          public static void saveOldExternalComponentConfigItems(String[] components)

Copyright © 2004–2020 "Tigase, Inc.". All rights reserved.